from simtk.openmm.app import *
from simtk.openmm import *
from simtk.unit import *
from sys import stdout

plats = ['CUDA', 'CPU', 'Reference']

pdb = PDBFile('fail2.pdb')
f = open("fail2.xml", "r").read()
system = XmlSerializer.deserialize(f)

print "************TEST 3******************"
for w in plats:
    pltfrm = Platform.getPlatformByName(w)
    integrator = LangevinIntegrator(300*kelvin, 1/picosecond, 0.002*picoseconds)
    context = Context(system,integrator,pltfrm)
    context.setPositions(pdb.positions)
    state = context.getState(getEnergy=True, getForces=True)
    potential = state.getPotentialEnergy()
    forces = state.getForces()
    
    platform = Platform.getName(context.getPlatform())
    print platform, potential
    print platform, forces
    
    del context, platform, pltfrm, integrator
    
del system, f, pdb

